name: Publish
on: release

jobs:
  build-docker-image:
    name: Build and upload docker image
    runs-on: ubuntu-latest
    steps:
      - name: Pull source
        uses: actions/checkout@v3
      - name: Create dir
        run: mkdir -p bin
      - name : Compress dir
        run: zip White-light.zip White-light.wav White-light.fseq
      - name: Copy files
        run: cp White-light.wav bin/ && cp White-light.fseq bin/ && cp White-light.zip bin/


      - uses: akkuman/gitea-release-action@v1
        env:
          NODE_OPTIONS: '--experimental-fetch' # if nodejs < 18
        with:
          files: |-
            bin/**

      - name: Remove file
        run: rm -rdf bin/